%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('assert_isequal'), 2);
assert_isequal(nargout('assert_isequal'), 2);
%=============================================================================
assert_isequal('A', 'A')
A = str2func('cos');
B = str2func('cos');
assert_isequal(A, B)
%=============================================================================
assert_isequal(1, 1);
assert_isequal(ones(3,3), ones(3,3));
%=============================================================================
f = assert_isequal(1, 1);
assert_istrue(f);
%=============================================================================
f = assert_isequal(1, 2);
assert_isfalse(f);
%=============================================================================
[f, msg] = assert_isequal(1, 1);
assert_istrue(f);
assert_isequal(msg, '');
%=============================================================================
[f, msg] = assert_isequal(1, 2);
assert_isfalse(f);
msg_expected = sprintf(_('Assertion failed: expected (%g) and computed (%g) values are different.'), 2, 1);
assert_isequal(msg, msg_expected);
%=============================================================================
