%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
% <--C/C++ COMPILER REQUIRED-->
%=============================================================================
destinationdir = [tempdir(), 'test_executable_c'];
mkdir(destinationdir);
%=============================================================================
currentpath = fileparts(nfilename('fullpathext'));
copyfile([currentpath, '/test_executable_c.c'], [destinationdir, '/test_executable_c.c']);
%=============================================================================
[status, message] = dlgeneratemake('executable', destinationdir, ...
        'test_executable_c', ...
        [destinationdir, '/test_executable_c.c'], ...
        [destinationdir, '/']);
if ~status
  error(message);
end
destinationPath = [destinationdir, '/CMakeLists.txt'];
assert_istrue(isfile(destinationPath));
[status, message] = dlmake(destinationdir);
assert_istrue(status);
[R, msg] = unix([destinationdir, '/test_executable_c']);
assert_istrue(R == 0);
assert_istrue(startsWith(msg, 'It works with C!!!'));
%=============================================================================