%=============================================================================
% Copyright (c) 2017 Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
% <-- Issue URL -->
% https://github.com/Nelson-numerical-software/nelson/issues/286
% <-- Short Description -->
% fix [end] = sin(3)
%=============================================================================
assert_checkerror('[end] = sin(3)', _('Syntax error.'));
assert_checkerror('[1, end] = sin(3)', _('Syntax error.'));
assert_checkerror('end = sin(3)', _('Expecting statement list or function definition'));
%=============================================================================
try
  eval('– = 3');
  report = '';
catch
  report = getLastReport();
end
assert_istrue(contains(report, _('Lexical error')));
%=============================================================================
