%=============================================================================
% Copyright (c) 2018 Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('semver'), 2);
assert_isequal(nargout('semver'), 1);
%=============================================================================
assert_isequal(semver('1.5.10', '2.3.0'), -1);
assert_isequal(semver('2.3.0', '1.5.10'), 1);
assert_isequal(semver('1.5.10', '1.5.10'), 0);
assert_isequal(semver('1.2.3', '~1.2.3'), 1);
assert_isequal(semver('1.5.3', '~1.2.3'), 0);
assert_isequal(semver('1.0.3', '~1'), 1);
assert_isequal(semver('2.0.3', '~1'), 0);
assert_isequal(semver('1.2.3-alpha', '<1.2.3-beta'), 1);
assert_isequal(semver('1.2.3-alpha', '>1.2.3-beta'), 0);
assert_isequal(semver('1.2.3', '^1.2.3'), 1);
assert_isequal(semver('1.2.2', '^1.2.3'), 1);
assert_isequal(semver('1.9.9', '^1.2.3'), 1);
assert_isequal(semver('2.0.1', '^1.2.3'), 0);
%=============================================================================

