%=============================================================================
% Copyright (c) 2016-present Allan CORNET (Nelson)
%=============================================================================
% This file is part of the Nelson.
%=============================================================================
% LICENCE_BLOCK_BEGIN
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU Lesser General Public
% License as published by the Free Software Foundation; either
% version 2.1 of the License, or (at your option) any later version.
%
% Alternatively, you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Lesser General Public License for more details.
%
% You should have received a copy of the GNU Lesser General Public
% License along with this program. If not, see <http://www.gnu.org/licenses/>.
% LICENCE_BLOCK_END
%=============================================================================
assert_isequal(nargin('sprintf'), -1);
assert_isequal(nargout('sprintf'), 2);
%=============================================================================
R = sprintf('%s','hello');
REF = 'hello';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%s %s', 'hello', 'Nelson');
REF = 'hello Nelson';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%f', -53);
REF = '-53.000000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%f', 55.55);
REF = '55.550000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%f',0.00563);
REF = '0.005630';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%f',0.0000000123456);
REF = '0.000000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%f',22244234534545);
REF = '22244234534545.000000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%g', -53);
REF = '-53';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%g', 55.55);
REF = '55.55';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%g',0.00563);
REF = '0.00563';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%g',0.0000000123456);
REF = '1.23456e-08';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%g',22244234534545);
REF = '2.22442e+13';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%G', -53);
REF = '-53';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%G', 55.55);
REF = '55.55';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%G',0.00563);
REF = '0.00563';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%G',0.0000000123456);
REF = '1.23456E-08';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%G',22244234534545);
REF = '2.22442E+13';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%e', -53);
REF = '-5.300000e+01';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%e', 55.55);
REF = '5.555000e+01';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%e',0.00563);
REF = '5.630000e-03';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%e',0.0000000123456);
REF = '1.234560e-08';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%e',22244234534545);
REF = '2.224423e+13';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%o', -53);
REF = '37777777713';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%o', 55.55);
REF = '70';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%o',0.00563);
REF = '0';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%o',0.0000000123456);
REF = '0';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%o',22244234534545);
REF = '4354517221';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%015o', -123);
REF = '000037777777605';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%d', -53);
REF = '-53';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%d', 55.55);
REF = '56';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%d',0.00563);
REF = '0';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%d',0.0000000123456);
REF = '0';
assert_isequal(R, REF);
%=============================================================================
V = 22244234534545;
R = sprintf('%d', V);
REF = '22244234534545';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%14f', -53);
REF = '    -53.000000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%14f', 55.55);
REF = '     55.550000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%14f',0.00563);
REF = '      0.005630';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%14f', 0.0000000123456);
REF = '      0.000000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%14f', 22244234534545);
REF = '22244234534545.000000';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('test %d\n', [1, 2, 3; 4, 5, 6; 7, 8, 9]);
REF = 'test 1
test 4
test 7
test 2
test 5
test 8
test 3
test 6
test 9
';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%s', ['a','b','c';'d','e','f']);
REF = 'adbecf';
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%s', []);
REF = char(zeros(1, 0));
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%d', []);
REF = char(zeros(1, 0));
assert_isequal(R, REF);
%=============================================================================
R = sprintf("%f",0.00563);
REF = "0.005630";
assert_isequal(R, REF);
%=============================================================================
R = sprintf("%s", ["a","b","c";"d","e","f"]);
REF = "adbecf";
assert_isequal(R, REF);
%=============================================================================
R = sprintf('%s','20 %.');
REF = '20 %.';
assert_isequal(R, REF);
%=============================================================================
